#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# py.test tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	click
Summary:	A simple wrapper around optparse for powerful command line utilities
Summary(pl.UTF-8):	Proste obudowanie optparse do tworzenia potężnych narzędzi linii poleceń
Name:		python-%{module}
Version:	6.7
Release:	2
License:	BSD
Group:		Libraries/Python
Source0:	https://github.com/pallets/click/archive/%{version}.tar.gz
# Source0-md5:	3cae45d064f341b3f373489d8f7745e9
URL:		http://click.pocoo.org/
%if %{with tests} && %(locale -a | grep -q '^C\.UTF-8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
%if %{with python2}
BuildRequires:	python-modules >= 2
BuildRequires:	python-pytest
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-pytest
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-2
%endif
Requires:	python-modules >= 2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
click is a Python package for creating beautiful command line
interfaces in a composable way with as little amount of code as
necessary. It's the "Command Line Interface Creation Kit". It's highly
configurable but comes with good defaults out of the box.

%description -l pl.UTF-8
click to pakiet Pythona do tworzenia ładnych interfejsów linii poleceń
w uporządkowany sposób, przy użyciu jak najmniejszej ilości kodu.
Nazwa "click" pochodzi od "Command Line Interface Creation Kit"
(zestaw do tworzenia interfejsu linii poleceń). Jest wysoce
konfigurowalny, ale ma dobre ustawienia domyślne.

%package -n python3-%{module}
Summary:	A simple wrapper around optparse for powerful command line utilities
Summary(pl.UTF-8):	Proste obudowanie optparse do tworzenia potężnych narzędzi linii poleceń
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-%{module}
click is a Python 3 package for creating beautiful command line
interfaces in a composable way with as little amount of code as
necessary. It's the "Command Line Interface Creation Kit". It's highly
configurable but comes with good defaults out of the box.

%description -n python3-%{module} -l pl.UTF-8
click to pakiet Pythona do tworzenia ładnych interfejsów linii poleceń
w uporządkowany sposób, przy użyciu jak najmniejszej ilości kodu.
Nazwa "click" pochodzi od "Command Line Interface Creation Kit"
(zestaw do tworzenia interfejsu linii poleceń). Jest wysoce
konfigurowalny, ale ma dobre ustawienia domyślne.

%package apidocs
Summary:	Documentation for Python click module
Summary(pl.UTF-8):	Dokumentacja do modułu Pythona click
Group:		Documentation

%description apidocs
Documentation for Python click module.

%description apidocs -l pl.UTF-8
Dokumentacja do modułu Pythona click.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%if %{with tests}
PYTHONPATH=$(pwd) py.test-%{py_ver} tests --tb=long --verbose
%endif
%endif

%if %{with python3}
%py3_build
%if %{with tests}
LC_ALL=C.UTF-8 PYTHONPATH=$(pwd) py.test-%{py3_ver} tests --tb=long --verbose
%endif
%endif

%if %{with doc}
# click-specific code is not python3 ready
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES LICENSE README
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Mon Mar 13 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-click.git;a=log;h=master

* Mon Mar 13 2017 Jakub Bogusz <qboosh@pld-linux.org> d18f22d
- cleanups, pl, added -apidocs; release 2

* Wed Feb 01 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 6aa8f0e
- up to 6.7

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a1e511
- python 3.6
- release 2 (by relup.sh)

* Fri Mar 11 2016 Elan Ruusamäe <glen@delfi.ee> 70e5f34
- new, version 6.3

